<?php

declare(strict_types=1);

namespace App\Controller\TblRespuestasXUsuarioCurso;

use App\Service\TblRespuestasXUsuarioCursoService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblRespuestasXUsuarioCursoService(): TblRespuestasXUsuarioCursoService
    {
        return $this->container->get('TblRespuestasXUsuarioCurso_service');
    }
}
